Batch processing autofill option deletes last filename character

2014-07-30 06:32 AM - Fernando Rizzato

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19329

Description

When using Batch processing with any model to process several files at once, there is an autofill option based on input parameter

filenames.

When using this option, the last letter of the input filename is deleted when added to the root filename.

This affects only 2.4 since on 2.2 it works properly.

History

#1 - 2014-07-30 08:23 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Assignee set to Victor Olaya

- Category set to 94

when fixing this please see also #8511 for a very similar issue.

#2 - 2014-10-03 10:32 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

should be fixed with

#953f97707308a441c6d882090dfb43f1c8898995

#3 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
